## syslinux 6.02+dfsg

=== debian/changelog ===
syslinux (3:6.02+dfsg-drbl1) experimental; urgency=low

  * Applying patches for local boot issue (http://www.syslinux.org/archives/2013-October/021012.html).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 01 Nov 2013 09:23:40 +0800

syslinux (3:6.02+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 08:56:11 +0200

syslinux (3:6.02~pre16+dfsg-3) experimental; urgency=low

  * Adding test-patch from upstream to see if syslinux is buildable on
    non-intel architectures.
  * Building syslinux on all architectures as a test to see which ones
    don't fail.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Sep 2013 19:12:22 +0200

syslinux (3:6.02~pre16+dfsg-2) experimental; urgency=low

  * Moving forgotten efi loaders from syslinux-dev to syslinux-common
    (Closes: #720588).
  * Adding note about bios+efi netboot with reference to #720589 (Closes:
    #720589).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 03 Sep 2013 14:50:33 +0200

syslinux (3:6.02~pre16+dfsg-1) experimental; urgency=low

  * Updating vcs fields.
  * Merging upstream version 6.02~pre16+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Aug 2013 12:04:03 +0200

syslinux (3:6.02~pre15+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre15+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 20:16:46 +0200

syslinux (3:6.02~pre14+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02+pre14.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 11:21:32 +0200

syslinux (3:6.02~pre11+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre11+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 25 Jul 2013 16:35:11 +0200

syslinux (3:6.02~pre9+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre9+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 24 Jul 2013 08:48:18 +0200

syslinux (3:6.02~pre8+dfsg-2) experimental; urgency=low

  * Reading /etc/default/extlinux globally in extlinux-update (Closes:
    #717399).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Jul 2013 07:53:29 +0200

syslinux (3:6.02~pre8+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre8+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 20 Jul 2013 03:01:36 +0200

syslinux (3:6.02~pre7+dfsg-1) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Merging upstream version 6.02~pre7+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 19 Jul 2013 12:22:17 +0200

syslinux (3:6.02~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Jul 2013 19:57:07 +0200

syslinux (3:6.02~pre4+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.02~pre4+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Jul 2013 14:42:02 +0200

syslinux (3:6.01+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 04 Jul 2013 16:50:25 +0200

syslinux (3:6.01~pre6+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01~pre6+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 03 Jul 2013 14:40:33 +0200

syslinux (3:6.01~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.01~pre5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 28 Jun 2013 18:43:04 +0200

syslinux (3:6.00+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.00+dfgs.
  * Using gcc-4.7 for the time being until gcc-multilib has been fixed for
    gcc-4.8, preventing FTBFS.
  * Updating syslinux-dev lintian overrides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Jun 2013 11:33:30 +0200

syslinux (3:6.00~pre5+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.00~pre5+dfsg.
  * Dropping gnu-efi.patch, included upstream.
  * Increasing version on gnu-efi build-depends.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 10 Jun 2013 18:02:14 +0200

syslinux (3:6.00~pre4+dfsg-11) experimental; urgency=low

  * Using consistent spelling of bootloader at various places.
  * Marking syslinux-common as amd64 and i386 only, rather than any.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 07 Jun 2013 12:56:01 +0200

syslinux (3:6.00~pre4+dfsg-10) experimental; urgency=low

  * Correcting typo in extlinux debhelper install file (Closes: #710306).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 30 May 2013 00:16:43 +0200

syslinux (3:6.00~pre4+dfsg-9) experimental; urgency=low

  * Sourcing common function in first extlinux-update subscript too
    (Closes: #710212).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 29 May 2013 07:42:35 +0200

syslinux (3:6.00~pre4+dfsg-8) experimental; urgency=low

  * Correcting installation path for /etc/extlinux.d scripts.
  * Correcting installation path for /etc/extlinux.d scripts.
  * Splitting fileupdate function in extlinux-update to subscript.
  * Reading extlinux defaults file in all extlinux-update subscripts.
  * Running defaults creation for extlinux-update as subscript too.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 16:58:35 +0200

syslinux (3:6.00~pre4+dfsg-7) experimental; urgency=low

  * Adding note about md raid superblock 1.2 in extlinux readme (Closes:
    #612846).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 07:04:24 +0200

syslinux (3:6.00~pre4+dfsg-6) experimental; urgency=low

  * Bailing out early in extlinux-install when no kernels can be found at
    /boot/vmlinuz (Closes: #709857).
  * Doing initial split of extlinux-update into sub-scripts (Closes:
    #587727).
  * Moving check for /boot/vmlinuz from extlinux-update to extlinux-
    update/0010-linux.
  * Updating bailout check for extlinux-update memdisk script.
  * Updating bail out check for extlinux-update os-proper script.



=== debian/control ===
Source: syslinux
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9),
 e2fslibs-dev,
 gcc-4.7,
 gcc-multilib [amd64],
 gnu-efi (>= 3.0u),
 libc6-dev-i386 [amd64],
 nasm,
 python,
 uuid-dev,
Standards-Version: 3.9.4
Homepage: http://www.syslinux.org/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/syslinux.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git

Package: syslinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
  mtools,
Breaks: syslinux-common (<< ${source:Version})
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (DOS FAT and NTFS bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for DOS FAT and NTFS filesystems
 (SYSLINUX).

Package: extlinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: syslinux-common (<< ${source:Version})
Recommends:
 syslinux-common,
 os-prober,
Description: collection of bootloaders (Linux ext2/ext3/ext4, btrfs, and xfs bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for Linux ext2/ext3/ext4, btrfs, and xfs
 filesystems (EXTLINUX).

Package: isolinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 syslinux-common (<< ${source:Version}),
 syslinux (<< 3:6.00~pre4+dfsg-5~),
Replaces: syslinux-common
Recommends: syslinux-common
Suggests: xorriso
Description: collection of bootloaders (ISO 9960 bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for ISO 9960 CD-ROMs (ISOLINUX).

Package: pxelinux
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: syslinux-common (<< ${source:Version})
Replaces: syslinux-common
Recommends: syslinux-common
Suggests: tftpd-hpa
Description: collection of bootloaders (PXE network bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for PXE network boots (PXELINUX).

Package: syslinux-common
Architecture: any
Depends: ${misc:Depends}
Breaks:
 syslinux (<< ${source:Version}),
 extlinux (<< ${source:Version}),
 isolinux (<< ${source:Version}),
 pxelinux (<< ${source:Version}),
Description: collection of bootloaders (common)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the common files.

Package: syslinux-dev
Architecture: all
Depends: ${misc:Depends}
Breaks:
 syslinux (<< 3:6.00~pre4+dfsg-5~),
 syslinux-common (<< 3:6.00~pre4+dfsg-5~),
Replaces:
 syslinux,
 syslinux-common,
Description: collection of bootloaders (development)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the development files.

Package: syslinux-utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 syslinux (<< 3:6.00~pre4+dfsg-5~),
 syslinux-common (<< 3:6.00~pre4+dfsg-5~),
Replaces:
 syslinux,
 syslinux-common,
Suggests:
 libcrypt-passwdmd5-perl,
 libdigest-sha-perl,
Description: collection of bootloaders (utilities)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the auxiliary utilities.

Package: syslinux-installer
Package-Type: udeb
Section: debian-installer
Architecture: any
Provides: bootable-system
Depends:
 cdebconf-udeb,
 kernel-installer,
 created-fstab,
 di-utils,
 di-utils-mapdevfs,
 os-prober,
 partman-utils,
XB-Installer-Menu-Item: 7450
Description: Install syslinux on a hard disk

Package: syslinux-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: collection of bootloaders

## syslinux 6.03~pre7+drbl

=== debian/changelog ===
syslinux (3:6.03~pre7+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre7.
  * File clean-gnu-efi was patched to avoid clean non-git dir.
  * Patch file 0009-nonx86.patch was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Mar 2014 10:20:39 +0800

syslinux (3:6.03~pre1+dfsg-1) experimental; urgency=low

  * Merging upstream version 6.03~pre1+dfsg.
  * Updating to standards version 3.9.5.
  * Somewhat completing debian/copyright based on a patch from Raphael
    Hertzog <hertzog@debian.org> (Closes: #729844).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Dec 2013 20:52:42 +0100

## syslinux 6.03~pre9+drbl

=== debian/changelog ===
syslinux (3:6.03~pre9+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre9.
  * Patch file 0009-nonx86.patch was disabled.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Mar 2014 19:21:37 +0800

## syslinux 6.03~pre10+drbl

=== debian/changelog ===
syslinux (3:6.03~pre10+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre10.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Apr 2014 20:29:16 +0800

## syslinux 6.03~pre11+drbl

=== debian/changelog ===
syslinux (3:6.03~pre11+drbl-1) unstable; urgency=medium

  * New upstream 6.03~pre11.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Apr 2014 20:21:27 +0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  nasm,
  python,
  uuid-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.syslinux.org/
 Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/syslinux.git
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/vendor.mk

SHELL := sh -e

DATE=$(shell date +%Y%m%d)
VERSION=$(word 1,$(shell cat version))

unexport LDFLAGS

%:
	dh ${@}

dfsg:
	rm -f doc/rfc5071.txt

override_dh_auto_build:
	$(MAKE) CC=/usr/bin/gcc-4.7 DATE="$(DATE)" VERSION="$(VERSION)"

override_dh_auto_clean:
	$(MAKE) clean

	rm -f version.mk

	rm -f core/.depend memdisk/.depend
	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com

override_dh_auto_install:
	$(MAKE) install INSTALLROOT=$(CURDIR)/debian/tmp

	# removing keytab-lilo, already part of the lilo package
	rm -f debian/tmp/usr/bin/keytab-lilo

	# removing ms-dos executables
	rm -f debian/tmp/usr/share/syslinux/*.com
	rm -rf debian/tmp/usr/share/syslinux/dosutil

	# moving files for FHS compliance
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/sbin/* debian/tmp/usr/bin
	-rmdir --ignore-fail-on-non-empty debian/tmp/sbin

	mkdir -p debian/tmp/usr/lib
	mv debian/tmp/usr/share/syslinux debian/tmp/usr/lib
	-rmdir --ignore-fail-on-non-empty debian/tmp/usr/share

	mkdir -p debian/tmp/usr/share
	mv debian/tmp/usr/man debian/tmp/usr/share

	# moving syslinux mbr file location
	mkdir -p debian/tmp/usr/lib/syslinux/mbr
	mv debian/tmp/usr/lib/syslinux/*mbr*.bin debian/tmp/usr/lib/syslinux/mbr
	mv debian/tmp/usr/lib/syslinux/isohd*.bin debian/tmp/usr/lib/syslinux/mbr

	# moving syslinux modules file location
	mkdir -p debian/tmp/usr/lib/syslinux/modules/bios
	mv debian/tmp/usr/lib/syslinux/*.c32 debian/tmp/usr/lib/syslinux/modules/bios

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.c32 debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.e32 debian/tmp/usr/lib/syslinux/modules/efi32

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.c32 debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.e64 debian/tmp/usr/lib/syslinux/modules/efi64

	# moving syslinux-dev files
	mv debian/tmp/usr/lib/syslinux debian/tmp/usr/lib/syslinux-dev

	mkdir -p debian/tmp/usr/lib/syslinux
	mv debian/tmp/usr/lib/syslinux-dev/mbr debian/tmp/usr/lib/syslinux
	mv debian/tmp/usr/lib/syslinux-dev/memdisk debian/tmp/usr/lib/syslinux
	mv debian/tmp/usr/lib/syslinux-dev/modules debian/tmp/usr/lib/syslinux

	# adding documentation
	mkdir -p debian/tmp/usr/share/doc/syslinux-dev
	cp -aL README debian/tmp/usr/share/doc/syslinux-dev
	cp -aL doc debian/tmp/usr/share/doc/syslinux-dev/txt
	cp -aL txt debian/tmp/usr/share/doc/syslinux-dev/asciidoc

	rm -f debian/tmp/usr/share/doc/syslinux-dev/keytab-lilo.txt

	mv debian/tmp/usr/share/doc/syslinux-dev/txt/logo debian/tmp/usr/share/doc/syslinux-dev
	rm -f debian/tmp/usr/share/doc/syslinux-dev/logo/LICENSE

	# moving bootloader specific documentation
	mkdir -p debian/syslinux/usr/share/doc/syslinux
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/syslinux.txt debian/syslinux/usr/share/doc/syslinux/README.txt

	mkdir -p debian/extlinux/usr/share/doc/extlinux
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/extlinux.txt debian/extlinux/usr/share/doc/extlinux/README.txt

	mkdir -p debian/isolinux/usr/share/doc/isolinux
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/isolinux.txt debian/isolinux/usr/share/doc/isolinux/README.txt

	mkdir -p debian/pxelinux/usr/share/doc/pxelinux
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/pxelinux.txt debian/pxelinux/usr/share/doc/pxelinux/README.txt

	mkdir -p debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/README debian/syslinux-common/usr/share/doc/syslinux-common/README.txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/chain.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/gpt.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/mboot.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/memdisk.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/menu.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/pxechn.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/sdi.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-dev/txt/usbkey.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt

override_dh_auto_test:
	# disabled

override_dh_builddeb:
ifeq ($(DEB_VENDOR),Progress Linux)
	# including udebs
	dh_builddeb -- -Zxz
else
	# not including udebs
	dh_builddeb --no-package=syslinux-installer --no-package=syslinux-udeb -- -Zxz
endif

override_dh_gencontrol:
ifeq ($(DEB_VENDOR),Progress Linux)
	# including udebs
	dh_gencontrol
else
	# not including udebs
	dh_gencontrol --no-package=syslinux-installer --no-package=syslinux-udeb
endif

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/*/usr/lib/*/efi*/*
	chmod 0644 debian/*/usr/lib/*/modules/efi*/*

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## syslinux 6.03~pre14+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre14+dfsg-2) unstable; urgency=low

  * Temporarily let isolinux depend on syslinux-utils for isohybrid
    (Closes: #751724).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 16 Jun 2014 06:30:53 +0200

syslinux (3:6.03~pre14+dfsg-1) unstable; urgency=low

  * Correcting spelling mistakes for os-prober integration, thanks to
    Zlatko Calusic <zcalusic@bitsync.net> (Closes: #748786).
  * Moving isohybrid from isolinux to syslinux-utils for consistency.
  * Adding extlinux NEWS file to document bootloader integration in
    syslinux-stuff (Closes: #748689).
  * Merging upstream version 6.03~pre14+dfsg.
  * Dropping nonx86.patch, included upstream.
  * Building with embedded gnu-efi.
  * Building with gcc-4.8.
  * Updating years copyright notices in debian files.
  * Dropping debian specific memdiskfind manpage for newly added upstream
    one.
  * Dropping debian specific isohybrid manpage for newly added upstream
    one.
  * Updating todo file.
  * Updating readme file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Jun 2014 10:55:07 +0200

syslinux (3:6.03~pre1+dfsg-4) unstable; urgency=low

  * Correcting debconf field name for extlinux installation (Closes:
    #746785).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 17 May 2014 12:13:41 +0200

syslinux (3:6.03~pre1+dfsg-3) experimental; urgency=low

  [ Slawomir Bochenski ]
  * Support device names with digits in syslinux.postinst (Closes:
    #738287).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2014 11:35:29 +0200

syslinux (3:6.03~pre1+dfsg-2) experimental; urgency=low

  * Breaking out syslinux.efi to syslinux-efi package.
  * Adding a few replaces declarations in control to ease upgrades from
    pre-May 2013 experimental uploads to now.
  * Breaking out debian specific utilities to syslinux-stuff.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 24 Feb 2014 18:14:48 +0100

## syslinux 6.03~pre17+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre17+dfsg-1) unstable; urgency=low

  * Merging upstream version 6.03~pre17+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 17 Jun 2014 22:22:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  e2fslibs-dev,
- gcc-4.7,
  gcc-multilib [amd64],
- gnu-efi (>= 3.0u),
  libc6-dev-i386 [amd64],
  nasm,
  python,
@@ -24,6 +22,7 @@
  ${shlibs:Depends},
   mtools,
 Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
 Recommends: syslinux-common
 Suggests: dosfstools
 Description: collection of bootloaders (DOS FAT and NTFS bootloader)
@@ -34,12 +33,31 @@
  This package contains the bootloader for DOS FAT and NTFS filesystems
  (SYSLINUX).
 
+Package: syslinux-efi
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+  mtools,
+Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
+Recommends: syslinux-common
+Suggests: dosfstools
+Description: collection of bootloaders (UEFI bootloader)
+ syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
+ filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
+ (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
+ .
+ This package contains the bootloader for the Unified Extensible Firmware
+ Interface (EFI).
+
 Package: extlinux
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks: syslinux-common (<< ${source:Version})
+Replaces: syslinux-common
 Recommends:
  syslinux-common,
  os-prober,
@@ -56,6 +74,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ syslinux-utils,
 Breaks:
  syslinux-common (<< ${source:Version}),
  syslinux (<< 3:6.00~pre4+dfsg-5~),
@@ -93,6 +112,11 @@
  extlinux (<< ${source:Version}),
  isolinux (<< ${source:Version}),
  pxelinux (<< ${source:Version}),
+Replaces:
+ syslinux,
+ extlinux,
+ isolinux,
+ pxelinux,
 Description: collection of bootloaders (common)
  syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
  filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
@@ -115,6 +139,21 @@
  (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
  .
  This package contains the development files.
+
+Package: syslinux-stuff
+Architecture: all
+Depends:
+ ${misc:Depends},
+ extlinux,
+Breaks: extlinux (<< 3:6.03~pre1+dfsg)
+Replaces: extlinux
+Description: collection of bootloaders (additional utilities)
+ syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
+ filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
+ (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
+ .
+ This package contains the Debian specific utilities such as bootloader
+ integration.
 
 Package: syslinux-utils
 Architecture: any

## syslinux 6.03~pre18+dfsg

=== debian/changelog ===
syslinux (3:6.03~pre18+dfsg-1ubuntu1) utopic; urgency=medium

  * Revert syslinux-common to Architecture: all, cherry-picking part of a
    change from 6.03~pre20+dfsg-1 (LP: #1383332).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2014 10:54:51 -0400

syslinux (3:6.03~pre18+dfsg-1) unstable; urgency=low

  * Merging upstream version 6.03~pre18+dfsg.
  * For the time being, Marking all packages as amd64 and i386 only
    instead of any.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jun 2014 20:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: syslinux
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Build-Depends:
  debhelper (>= 9),
  e2fslibs-dev,
@@ -16,7 +17,7 @@
 Vcs-Git: git://daniel-baumann.ch/git/debian/packages/syslinux.git
 
 Package: syslinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -34,7 +35,7 @@
  (SYSLINUX).
 
 Package: syslinux-efi
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -52,7 +53,7 @@
  Interface (EFI).
 
 Package: extlinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -70,7 +71,7 @@
  filesystems (EXTLINUX).
 
 Package: isolinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -89,7 +90,7 @@
  This package contains the bootloader for ISO 9960 CD-ROMs (ISOLINUX).
 
 Package: pxelinux
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -105,7 +106,7 @@
  This package contains the bootloader for PXE network boots (PXELINUX).
 
 Package: syslinux-common
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}
 Breaks:
  syslinux (<< ${source:Version}),
@@ -156,7 +157,7 @@
  integration.
 
 Package: syslinux-utils
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -179,7 +180,7 @@
 Package: syslinux-installer
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 i386
 Provides: bootable-system
 Depends:
  cdebconf-udeb,
@@ -195,7 +196,7 @@
 Package: syslinux-udeb
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 i386
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

## syslinux 6.03%2Bdfsg

=== win32/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 1998-2008 H. Peter Anvin - All Rights Reserved
##   Copyright 2010 Intel Corporation; author: H. Peter Anvin
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

#
# Makefile for SYSLINUX Win32
#
# This is separated out mostly so we can have a different set of Makefile
# variables.
#

OSTYPE   = $(shell uname -msr)
ifeq ($(findstring CYGWIN,$(OSTYPE)),CYGWIN)
## Compiling on Cygwin
WINPREFIX  :=
WINCFLAGS  := -mno-cygwin $(GCCWARN) -Os -fomit-frame-pointer -D_FILE_OFFSET_BITS=64
WINLDFLAGS := -mno-cygwin -Os -s
else
## Compiling on some variant of MinGW
ifeq ($(findstring MINGW32,$(OSTYPE)),MINGW32)
WINPREFIX  :=
else
WINPREFIX  := $(shell $(SRC)/find-mingw32.sh gcc)
endif
WINCFLAGS  := $(GCCWARN) -Wno-sign-compare -Os -fomit-frame-pointer \
	      -D_FILE_OFFSET_BITS=64
WINLDFLAGS := -Os -s
endif
WINCFLAGS += -I$(SRC) -I$(SRC)/../win -I$(objdir) \
	     -I$(SRC)/../libfat -I$(SRC)/../libinstaller \
	     -I$(SRC)/../libinstaller/getopt

WINCC      := $(WINPREFIX)gcc
WINAR	   := $(WINPREFIX)ar
WINRANLIB  := $(WINPREFIX)ranlib

WINCC_IS_GOOD := $(shell $(WINCC) $(WINCFLAGS) $(WINLDFLAGS) \
	-o hello.exe $(SRC)/../win/hello.c >/dev/null 2>&1 ; echo $$?)

.SUFFIXES: .c .obj .lib .exe .i .s .S

SRCS     = ../win/syslinux.c ../win/ntfssect.c
OBJS     = $(patsubst %.c,%.obj,$(notdir $(SRCS)))
LIBSRC   = ../libinstaller/fs.c \
	   ../libinstaller/syslxmod.c \
	   ../libinstaller/syslxopt.c \
	   ../libinstaller/setadv.c \
	   ../libinstaller/getopt/getopt_long.c \
	   ../libinstaller/bootsect_bin.c \
	   ../libinstaller/ldlinux_bin.c \
	   ../libinstaller/ldlinuxc32_bin.c \
	   ../libinstaller/mbr_bin.c \
	   $(wildcard $(SRC)/../libfat/*.c)
LIBOBJS  = $(patsubst %.c,%.obj,$(notdir $(LIBSRC)))

LIB	 = syslinux.lib

VPATH = $(SRC):$(SRC)/../win:$(SRC)/../libfat:$(SRC)/../libinstaller:$(SRC)/../libinstaller/getopt:$(OBJ)/../libinstaller

TARGETS = syslinux.exe

ifeq ($(WINCC_IS_GOOD),0)
all: $(TARGETS)
else
all:
	rm -f $(TARGETS)
endif

tidy dist:
	-rm -f *.o *.obj *.lib *.i *.s *.a .*.d *.tmp *_bin.c hello.exe

clean: tidy

spotless: clean
	-rm -f *~ $(TARGETS)

installer:

$(LIB): $(LIBOBJS)
	rm -f $@
	$(WINAR) cq $@ $^
	$(WINRANLIB) $@

syslinux.exe: $(OBJS) $(LIB)
	$(WINCC) $(WINLDFLAGS) -o $@ $^


%.obj: %.c
	$(WINCC) $(UMAKEDEPS) $(WINCFLAGS) -c -o $@ $<
%.i: %.c
	$(WINCC) $(UMAKEDEPS) $(WINCFLAGS) -E -o $@ $<
%.s: %.c
	$(WINCC) $(UMAKEDEPS) $(WINCFLAGS) -S -o $@ $<

-include .*.d

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DATE += $(shell date -d"$(shell dpkg-parsechangelog | awk -F: '/^Date: / { print $$2 }')" +%Y%m%d)
VERSION=$(word 1,$(shell cat version))

unexport LDFLAGS

%:
	dh ${@}

dfsg:
	rm -f doc/rfc5071.txt

override_dh_auto_build:
	$(MAKE) DATE="$(DATE)" VERSION="$(VERSION)"

override_dh_auto_clean:
	$(MAKE) clean

	rm -f version.mk

	rm -f core/.depend memdisk/.depend
	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com

override_dh_auto_install:
	$(MAKE) install INSTALLROOT=$(CURDIR)/debian/tmp

	# removing keytab-lilo, already part of the lilo package
	rm -f debian/tmp/usr/bin/keytab-lilo

	# removing ms-dos executables
	rm -f debian/tmp/usr/share/syslinux/*.com
	rm -rf debian/tmp/usr/share/syslinux/dosutil

	# removing com32 files
	rm -rf debian/tmp/usr/share/syslinux/com32

	# removing diag files
	rm -rf debian/tmp/usr/share/syslinux/diag

	# moving files for FHS compliance
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/sbin/* debian/tmp/usr/bin
	-rmdir --ignore-fail-on-non-empty debian/tmp/sbin

	mkdir -p debian/tmp/usr/lib
	mv debian/tmp/usr/share/syslinux debian/tmp/usr/lib
	-rmdir --ignore-fail-on-non-empty debian/tmp/usr/share

	mkdir -p debian/tmp/usr/share
	mv debian/tmp/usr/man debian/tmp/usr/share

	# moving syslinux mbr file location
	mkdir -p debian/tmp/usr/lib/syslinux/mbr
	mv debian/tmp/usr/lib/syslinux/*mbr*.bin debian/tmp/usr/lib/syslinux/mbr

	# moving syslinux modules file location
	mkdir -p debian/tmp/usr/lib/syslinux/modules/bios
	mv debian/tmp/usr/lib/syslinux/*.c32 debian/tmp/usr/lib/syslinux/modules/bios

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.c32 debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.e32 debian/tmp/usr/lib/syslinux/modules/efi32

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.c32 debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.e64 debian/tmp/usr/lib/syslinux/modules/efi64

	# adding documentation
	mkdir -p debian/tmp/usr/share/doc/syslinux-common
	cp -aL README debian/tmp/usr/share/doc/syslinux-common
	cp -aL doc debian/tmp/usr/share/doc/syslinux-common/txt
	cp -aL txt debian/tmp/usr/share/doc/syslinux-common/asciidoc

	rm -f debian/tmp/usr/share/doc/syslinux-common/txt/keytab-lilo.txt
	rm -f debian/tmp/usr/share/doc/syslinux-common/asciidoc/.gitignore

	mv debian/tmp/usr/share/doc/syslinux-common/txt/logo debian/tmp/usr/share/doc/syslinux-common
	rm -f debian/tmp/usr/share/doc/syslinux-common/logo/LICENSE

	# moving bootloader specific documentation
	mkdir -p debian/syslinux/usr/share/doc/syslinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/syslinux.txt debian/syslinux/usr/share/doc/syslinux/README.txt

	mkdir -p debian/extlinux/usr/share/doc/extlinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/extlinux.txt debian/extlinux/usr/share/doc/extlinux/README.txt

	mkdir -p debian/isolinux/usr/share/doc/isolinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/isolinux.txt debian/isolinux/usr/share/doc/isolinux/README.txt

	mkdir -p debian/pxelinux/usr/share/doc/pxelinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/pxelinux.txt debian/pxelinux/usr/share/doc/pxelinux/README.txt

	mkdir -p debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/README debian/syslinux-common/usr/share/doc/syslinux-common/README.txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/chain.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/gpt.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/mboot.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/memdisk.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/menu.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/pxechn.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/sdi.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/usbkey.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt

	# moving extlinux bootloader files
	mkdir -p debian/extlinux/usr/bin
	mv debian/tmp/usr/bin/extlinux debian/extlinux/usr/bin
	mkdir -p debian/extlinux/usr/lib/EXTLINUX
	cp debian/tmp/usr/lib/syslinux/mbr/*mbr.bin debian/extlinux/usr/lib/EXTLINUX
	mkdir -p debian/extlinux/usr/share/man/man1
	mv debian/tmp/usr/share/man/man1/extlinux.1 debian/extlinux/usr/share/man/man1

	rm -f debian/tmp/usr/lib/syslinux/mbr/*_c.bin
	rm -f debian/tmp/usr/lib/syslinux/mbr/*_f.bin

	# moving isolinux bootloader files
	mkdir -p debian/isolinux/usr/lib/ISOLINUX
	mv debian/tmp/usr/lib/syslinux/isolinux.bin debian/isolinux/usr/lib/ISOLINUX
	mv debian/tmp/usr/lib/syslinux/isohd*x.bin debian/isolinux/usr/lib/ISOLINUX

	rm -f debian/tmp/usr/lib/syslinux/isolinux-debug.bin
	rm -f debian/tmp/usr/lib/syslinux/isohd*x_c.bin
	rm -f debian/tmp/usr/lib/syslinux/isohd*x_f.bin

	# moving pxelinux bootloader files
	mkdir -p debian/pxelinux/usr/lib/PXELINUX
	mv debian/tmp/usr/lib/syslinux/*pxelinux.0 debian/pxelinux/usr/lib/PXELINUX

	rm -f debian/tmp/usr/lib/syslinux/gpxelinuxk.0

	# moving syslinux-efi bootloader files
	mkdir -p debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.efi debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi32
	rmdir debian/tmp/usr/lib/syslinux/efi32

	mkdir -p debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.efi debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi64
	rmdir debian/tmp/usr/lib/syslinux/efi64

override_dh_auto_test:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/*/usr/lib/*/efi*/*
	chmod 0644 debian/*/usr/lib/*/modules/efi*/*

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## syslinux 6.03%2Bdfsg1

=== diag/Makefile ===
SUBDIRS = mbr geodsp

all tidy dist clean spotless install:
	@mkdir -p $(addprefix $(OBJ)/,$(SUBDIRS))
	set -e; for d in $(SUBDIRS); \
		do $(MAKE) -C $(OBJ)/$$d -f $(SRC)/$$d/Makefile \
		SRC="$(SRC)"/$$d OBJ="$(OBJ)"/$$d $@; done

=== mtools/Makefile ===
include $(MAKEDIR)/syslinux.mk

OPTFLAGS = -g -Os
INCLUDES = -I$(SRC) -I$(objdir) -I$(SRC)/../libfat -I$(SRC)/../libinstaller
CFLAGS	 = $(GCCWARN) -D_FILE_OFFSET_BITS=64 $(OPTFLAGS) $(INCLUDES)
LDFLAGS	 = 

SRCS     = syslinux.c \
	   ../libinstaller/fs.c \
	   ../libinstaller/syslxmod.c \
	   ../libinstaller/syslxopt.c \
	   ../libinstaller/setadv.c \
	   ../libinstaller/bootsect_bin.c \
	   ../libinstaller/ldlinux_bin.c \
	   ../libinstaller/ldlinuxc32_bin.c \
	   $(wildcard $(SRC)/../libfat/*.c)
OBJS	 = $(patsubst %.c,%.o,$(notdir $(SRCS)))

.SUFFIXES: .c .o .i .s .S

VPATH = $(SRC):$(SRC)/../libfat:$(SRC)/../libinstaller:$(OBJ)/../libinstaller

all: installer

tidy dist:
	-rm -f *.o *.i *.s *.a .*.d *.tmp

clean: tidy
	-rm -f syslinux

spotless: clean
	-rm -f *~

installer: syslinux

syslinux: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

strip:
	$(STRIP) syslinux

%.o: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -c -o $@ $<
%.i: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -E -o $@ $<
%.s: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -S -o $@ $<

-include .*.d
